<?php

/**
 * @author Gabriel <anhaia.gabriel@email.com>
 */
class Usuarios extends CI_Controller
{
    public function index()
    {
        $this->auth->check(['atendente', 'medico']);
        $this->load->model('Usuarios_model');
        $usuarios = $this->Usuarios_model->find();

        $this->view('usuarios.index', [
            'usuarios' => $usuarios
        ]);
    }

    public function registrar()
    {
        $this->load->model([
            'Usuarios_model'
        ]);

        if (!empty($_POST)) {

            $this->Usuarios_model->insert([
                'endereco_usuario' => $_POST['rua'],
                'bairro_usuario' => $_POST['bairro'],
                'estado_usuario' => $_POST['estado'],
                'municipio_usuario' => $_POST['cidade'],
                'cep_usuario' => $_POST['cep'],
                'email_usuario' => $_POST['email'],
                'senha_usuario' => md5($_POST['senha']),
                'nome_usuario' => $_POST['nome'],
				'nivel_usuario' => '1',
				'id_permissoes' => '1'
			]);

            redirect('usuarios');
        }

        $this->view('usuarios.register');
    }

    public function deletar($id)
    {
        $this->load->model([
            'Usuarios_model'
        ]);

        $atendente = $this->Usuarios_model->find($id);

        $this->Atendente_model->delete($id);
        $this->Endereco_model->delete($atendente->id_endereco);
        $this->Usuario_model->delete($atendente->id_usuario);
        redirect('atendente');
    }
}